#年齢認証に対する処理
# 例外が起きたらそこで止める
$ErrorActionPreference = "stop"
# Write-Verboseを記録する
$VerbosePreference = "continue"

# 次に変遷すべきURLの変更
# PageContent : 年齢認証ページの内容
# NextURL     : 正規表現で得られた次のURL 
Function GetNextURL($PageContent, $NextURL)
{
    try
    {
        $result = $NextURL
    }
    catch
    {
        # 例外を起こしたら元に戻す
        $result = $NextURL
    }

    return $result
}

# 次に変遷する際のHTTPヘッダ
#  $headersおよび戻り値は連想配列
Function GetHTTPHeaders($headers)
{
    try
    {
        $result = $headers.Clone()
    }
    catch
    {
        # 例外を起こしたら元に戻す
        $result = $headers.Clone()
    }

    return $result
}

# 次に変遷する際のCookie
#  $cookieおよび戻り値は連想配列の配列
Function GetCookies($cookies)
{
    try
    {
        $result = $cookies.Clone()

        $adc = @{}
        $adc["Name"] = "adc"
        $adc["Value"] = "1"
        $adc["Domain"] = "mgstage.com"
        $adc["Path"] = "/"
        $result = $result + @($adc)
    }
    catch
    {
        # 例外を起こしたら元に戻す
        $result = $cookies.Clone()
    }

    return $result
}

